# Class AvgMinMaxCounterSet

java.lang.Object
org.apache.zookeeper.server.metric.Metric
org.apache.zookeeper.server.metric.AvgMinMaxCounterSet

All Implemented Interfaces:
  `SummarySet`

public class AvgMinMaxCounterSet extends Metric implements SummarySet
Generic set of long counters that keep track of min/max/avg for different keys. The counter is thread-safe

## Constructor Summary

Constructors
Constructor
Description
`AvgMinMaxCounterSet(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String key, long value)`
Register a value.
`void`
`addDataPoint(String key, long value)`
`void`
`reset()`
`void`
`resetMax()`
`Map<String,Object>`
`values()`

### Methods inherited from class Metric

`add, add`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AvgMinMaxCounterSet

public AvgMinMaxCounterSet(String name)

## Method Details

### addDataPoint

public void addDataPoint(String key, long value)

### resetMax

public void resetMax()

### reset

public void reset()

Overrides:
  `reset` in class `Metric`

### add

public void add(String key, long value)
Description copied from interface: `SummarySet`
Register a value.

This method is thread safe, The MetricsProvider will take care of synchronization.

Specified by:
  `add` in interface `SummarySet`
Overrides:
  `add` in class `Metric`
Parameters:
  `key` - the key to access the Summary for the given key
  `value` - current value

### values

public Map<String,Object> values()

Specified by:
  `values` in class `Metric`